Installer - Feature #33191

Support automatic reinstallation of puppet-agent-oauth on Debian
07/30/2021 12:51 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: foreman-installer script
Target version: 3.0.0
Difficulty: Fixed in Releases: 3.0.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/7086,
https://github.com/theforeman/foreman-i
nstaller/pull/708
Description

Since #29097 foreman-installer has automatically reinstalled puppet-agent-oauth on RPMs. This is needed when the Ruby version of
Puppet's AlO package has changed. While that typically only happens on a major version upgrade, it's great for users to have it

automated. Especially with Foreman 3.0 adding support for Puppet 7.

https://github.com/theforeman/foreman-installer/pull/641 started this effort already.

Related issues:
Related to Installer - Bug #29097: Installer prints out puppet-agent-oauth on...

Closed

Associated revisions

Revision 567172b6 - 08/02/2021 03:28 PM - Ewoud Kohl van Wijngaarden
Fixes #33191 - Debian puppet-agent-oauth reinstall support

This has been supported for a while on RPM-based distros. This adds it
on Debian.

It also changes it to log an error on noop that it detected an incorrect
situation.

Credits to @timdeluxe for the specific dpkg/apt commands. This PR takes

a bit different implementation approach by also looking at facts. This
should save some useless command executions on both platforms.

Revision 82a4e9ec - 08/03/2021 10:41 AM - Ewoud Kohl van Wijngaarden
Refs #33191 - Use symbols for facts

In 567172b6411ed9d0731614fd29455e8b7877ccd0 facts were incorrectly using
strings while it should use symbols.

It also adds a debug line to make it easier to follow what happened.

Fixes: 567172b6411ed9d0731614fd29455e8b7877ccd0

History

#1 - 07/30/2021 12:52 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #29097: Installer prints out puppet-agent-oauth on most runs added

#2 - 07/30/2021 12:59 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/706 added
https://projects.theforeman.org/issues/29097
https://github.com/theforeman/foreman-installer/pull/641

#3 - 08/02/2021 03:29 PM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 08/02/2021 04:08 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|567172b6411ed9d0731614fd29455e8b7877ccd0.

#5 - 08/03/2021 09:44 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/708 added
